Software

Deeploy Helper

Current Version: 3.0.5
  • Installation for EE 3.x

    1. Unzip the folder to a temporary location on your local hard drive.
    2. FTP the files from their local folders to the same locations in your EE install’s /system/user/addons/ folder on the server.
    3. Navigate to Add-ons in your EE control panel and install the add-on. That’s it!

  • Installation for EE 2.x

    1. Unzip the folder to a temporary location on your local hard drive.
    2. FTP the files from their local folders to the same locations in your EE install’s /system/expressionengine/third_party/ folder on the server.
    3. Navigate to Modules in your EE control panel and install the add-on. That’s it!

  • Installation for EE 1.x

    1. Unzip the folder to a temporary location on your local hard drive.
    2. FTP the files from their local folders to the same locations in your EE install’s /system/ folder on the server.
    3. Navigate to Modules tab in your EE control panel and install the add-on. That’s it!

  • Usage

    To configure, go to Add-Ons/Modules in your EE control panel, and find the add-on.  You’ll see a long list of configuration parameters, many of which you can modify.  Be sure to click Update Settings after making changes. 

    Note:

    • Deeploy Helper is a very powerful tool.  It works in our tests, and it’s worked for many other EE developers who have used it.  But because it directly updates system settings tables in your EE database, this tool has the potential to damage your installation.  You should only use it if you know why you’re using it, and you should always backup your system before you use it.
    • The current version of Deeploy Helper does not test the validity of input parameters.  For example, it does not verify that filesystem paths exist and are writeable.  You can’t take the previous bullet point too seriously!

  • Updating

    Updating is easy:

    1. Download a new version from this Web site, and extract on your hard drive.
    2. Upload the new files to their appropriate locations.

  • Uninstalling

    1. Navigate to the Add-Ons/Modules tab in your EE control panel and uninstall the module.
    2. Remove the add-on directory from your EE system folder on the server.

  • Version History

    3.0.5
    Add spaces detection for all fields
    3.0.4
    Add spaces detection in find/replace fields
    3.0.3
    Fix for EE >= 3.4
    3.0.2
    Check if Forum module is installed before loading its settings (fix)
    3.0.1
    Check if Forum module is installed before loading its settings
    3.0.0
    Updated for EE 3. It's the future! We're in it!
    2.2.2
    Add spaces detection in find/replace fields (for EE2)
    2.2.0
    Made it more compatible with EE 2.8+. smile
    2.1.0
    Made it compatible with EE 2.8+. And while the hood was up, we added Low Variables file_path to the tool (You're welcome, LMA Communications)
    2.0.3
    Fixed a bug when working with forums and multiple_site_manager (Thanks, Hambo)
    2.0.2
    Now you can uninstall it! I know, this should have been caught in 2.0.0 but ...
    2.0.1
    Works the same as 2.0.0, but added code that protects against certain PHP warnings
    2.0.0
    Now, compatible with EE 2.1 and also checks test version using NSM Add-on Updater
    1.1.3
    Trimmed a blank space after the PHP tag that was causing issues
    1.1.2
    Added webmaster email address to the preferences you can set
    1.1.1
    Removed focus clearing, fixed lang bug, move lang into modules folder
    1.1.0
    Added extension handling (for FieldFrame, initially)
    Added gallery module handling
    Added "other useful info" section
    1.0.2
    Added search_results_url to weblog sections
    1.0.1
    Added call-to-action button in CP
    1.0.0
    Initial release

Have a Project for Us?

Get in Touch